Bug 973140 - Editing dialog for alert conditions does not load condition parameters
Summary: Editing dialog for alert conditions does not load condition parameters
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
(Show other bugs)
Version: 4.8
Hardware: Unspecified Unspecified
unspecified
high vote
Target Milestone: ---
: RHQ 4.8
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 994904
TreeView+ depends on / blocked
 
Reported: 2013-06-11 11:10 UTC by Libor Zoubek
Modified: 2015-11-02 00:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 10:09:24 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Libor Zoubek 2013-06-11 11:10:37 UTC
Version-Release number of selected component (if applicable):
Version: 4.8.0-SNAPSHOT
Build Number: bf44b14

How reproducible:always


Steps to Reproduce:
1. create alert definition and add contition of type 'Measurement Baseline Threshold'
2. select some metric, comparator, put a value, select max (just not default values)
3. Save such condition
4. select condition and pop up edit dialog

Actual results: values are not loaded


Expected results: edit dialog should contain exactly the same values/selections as it was when adding condition.


Additional info: this issue applies to other condition types as well

Comment 1 Jirka Kremser 2013-06-11 13:17:48 UTC
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=729e7cd86
time:    2013-06-11 15:05:36 +0200
commit:  729e7cd86fdfc2e1c8f69b980ac58c3784a838ce
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 973140] - Editing dialog for alert conditions does not load
         condition parameters

    There was a typo. Changing the buildMetricRangeFormItems()
    buildMetricBaselineFormItems() and buildMetricChangeFormItems()
    call order. Also fixing the percentage formatting.

Comment 2 Filip Brychta 2013-08-08 13:20:48 UTC
Covered by automation - com.redhat.qe.jon.sahi.tests.alerts.AlertDefinitioinTest

Comment 3 Heiko W. Rupp 2013-08-31 10:09:24 UTC
Bulk close of old bugs in VERIFIED state.


Note You need to log in before you can comment on or make changes to this bug.